Get Avatar List
curl --request GET \
--url https://api.jogg.ai/v1/avatars \
--header 'x-api-key: <api-key>'import requests
url = "https://api.jogg.ai/v1/avatars"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.jogg.ai/v1/avatars', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"msg": "<string>",
"data": {
"avatars": [
{
"avatar_id": 81,
"name": "Amanda outdoors",
"cover_url": "https://res.jogg.ai/f178cf5273dd9cbd506f27426966c1ae501cae27-cover.png",
"aspect_ratio": 0,
"style": "professional",
"gender": "female",
"age": "adult"
}
]
}
}Avatar
Get Avatar List from Library
Get a list of available avatars with specified filters
GET
/
avatars
Get Avatar List
Authorizations
Query Parameters
Screen aspect ratio:
-
0 - [9:16]
-
1 - [16:9]
-
2 - [1:1]
Available options:
0, 1, 2 Avatar style:
-
professional
-
social
Available options:
professional, social Avatar gender:
-
male
-
female
Available options:
male, female Avatar age:
-
adult
-
senior
-
young_adult
Available options:
adult, senior, young_adult Avatar scene:
- lifestyle
- outdoors
- business
- studio
- health_fitness
- education
- news
Available options:
lifestyle, outdoors, business, studio, health_fitness, education, news Avatar ethnicity:
- european
- african
- south_asian
- east_asian
- middle_eastern
- south_american
- north_american
Available options:
european, african, south_asian, east_asian, middle_eastern, south_american, north_american Response
200 - application/json
Success

